set infoFrame [frame .info]
set buttonFrame [frame .buttons]
set mainFrame [frame .main -relief solid -borderwidth 2]
set statusFrame [frame .status]

set w [label $infoFrame.name -text "Sample Application" \
    -font {arial 16 bold}]
grid $w
set w [label $infoFrame.version -text "Revision 1.0"]
grid $w

foreach buttonName {File Edit Help} {
  lappend buttonList [button $buttonFrame.b_$buttonName \
      -text $buttonName -command "perform_$buttonName"]
}

grid {*}$buttonList

# Define a unique number to create an undefined
# number of unique widget names
set unique 0

# Create the notebook and grid it in the main frame
set note [::ttk::notebook $mainFrame.n]
grid $note 

# Nested lists for the 3 tabs and the elements within
#  each tab.

foreach txt      {Address Biographical Employment}  \
        elements { {Street City State} 
                   {Name  {Birth} {School}}
	           {{Start Date} {End Date}} } {
  set w [frame $note.f_[incr unique]]
  foreach el $elements {
    set w1 [labelframe $w.lf_[incr unique] -text $el]
    set w2 [entry $w1.e_[incr unique] -textvar State($el)]
    grid $w1
    grid $w2
  }
  $note add $w -text $txt -sticky n
}


set w1 [label $statusFrame.status -textvariable status]
set w2 [label $statusFrame.time -textvariable time]

grid $w1 $w2

set status "No Errors"
set time [clock format [clock seconds]]

grid $infoFrame
grid $buttonFrame -sticky w
grid $mainFrame -sticky ew
grid $statusFrame


